curl "https://api.scanova.io/multi-users/access-levels/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Viewer",
"slug": "viewer",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
],
"is_custom": false
}
共享用户与角色
获取角色
GET /multi-users/access-levels//
GET
/
multi-users
/
access-levels
/
{pk}
/
curl "https://api.scanova.io/multi-users/access-levels/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Viewer",
"slug": "viewer",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
],
"is_custom": false
}
在 Management API 主机(
可见范围:账户自己的自定义角色,加上所有系统角色(
api.scanova.io)上获取单个角色(访问级别),使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/multi-users/access-levels/{pk}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
curl "https://api.scanova.io/multi-users/access-levels/3/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"id": 3,
"name": "Viewer",
"slug": "viewer",
"permissions": [
{ "id": 23, "code": "QR_CODE_CAN_VIEW", "name": "Can view QR Code", "description": "Allows viewing QR code details.", "is_boolean": true }
],
"is_custom": false
}
is_custom: false)——系统角色在所有账户之间共享,而不仅限于此账户。
相关内容
- 列出角色——找到角色
id。 - 更新自定义角色——如果此角色属于该账户,可对其进行修改。
- 删除自定义角色——如果此角色属于该账户,可将其删除。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
路径参数
响应
One role, with its permission set. Visible: the account's own custom roles, plus every system role.
此页面对您有帮助吗?